unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Grids, Outline, nwcombo, nwlist, nwAtEdit, 
  nwout, nwbase, nwqlist, nwtools, nwlib, nwnds;

type
  TwinMain = class(TForm)
    NWBase1: TNWBase;
    ndsOutline: TNWDBOutline;
    NWNDSAttrEdit1: TNWNDSAttrEdit;
    NWNDSAttrEdit2: TNWNDSAttrEdit;
    NWNDSAttrEdit3: TNWNDSAttrEdit;
    userList: TNWDBListBox;
    serverCombo: TNWDBCombo;
    BitBtn1: TBitBtn;
    qJobList: TNWQueueJobListBox;
    queueCombo: TNWDBCombo;
    contextName: TEdit;
    Label1: TLabel;
    procedure serverComboChange(Sender: TObject);
    procedure ndsOutlineExpandUser(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure queueComboChange(Sender: TObject);
    procedure qJobListClick(Sender: TObject);
    procedure contextNameExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  winMain: TwinMain;

implementation

{$R *.DFM}

procedure TwinMain.FormShow(Sender: TObject);
begin
  {$IFDEF ver80}
  ndsOutline.useCustomImages := false ; {workaround for bug in 16 bit outline control}
  {$ENDIF}

  {set TNWQueueJobListBox's queueName property}
  if (queueCombo.items.count > 0) then
    qJobList.queueName := queueCombo.items[0] ;
    
  {show context name}
  contextName.text := nwBase1.ndsContextName ;
end;

procedure TwinMain.serverComboChange(Sender: TObject);
begin
   nwbase1.serverName := serverCombo.items[serverCombo.itemIndex] ;
end;

procedure TwinMain.ndsOutlineExpandUser(Sender: TObject);
begin
  {show user's info}
  nwBase1.loginID := ndsOutline.text ;
end;

procedure TwinMain.queueComboChange(Sender: TObject);
begin
  with queueCombo do
    qJobList.queueName := items[itemIndex] ;
end;

procedure TwinMain.qJobListClick(Sender: TObject);
begin
  with qJobList.jobInfo do
    okBox('Job Owner: ' + ownerName + 
          ';Queue Server: ' + queueServerName + 
          ';Job Filename: ' + jobFileName +
          ';Job Description: ' + jobDescription) ;
end;

procedure TwinMain.contextNameExit(Sender: TObject);
  begin
    {change context}
    nwbase1.ndsContextName := contextName.text ;
  end;

end.
 